import { z } from 'zod';
import type { PackageDependency } from '../types';
export declare const ToBazelDep: z.ZodEffects<z.ZodObject<{
    type: z.ZodLiteral<"record">;
    isComplete: z.ZodBoolean;
    children: z.ZodObject<{
        rule: z.ZodObject<{
            type: z.ZodLiteral<"string">;
            isComplete: z.ZodLiteral<true>;
            value: z.ZodLiteral<"bazel_dep">;
        }, "strip", z.ZodTypeAny, {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        }, {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        }>;
        name: z.ZodObject<{
            type: z.ZodLiteral<"string">;
            value: z.ZodString;
            isComplete: z.ZodLiteral<true>;
        }, "strip", z.ZodTypeAny, {
            type: "string";
            value: string;
            isComplete: true;
        }, {
            type: "string";
            value: string;
            isComplete: true;
        }>;
        version: z.ZodObject<{
            type: z.ZodLiteral<"string">;
            value: z.ZodString;
            isComplete: z.ZodLiteral<true>;
        }, "strip", z.ZodTypeAny, {
            type: "string";
            value: string;
            isComplete: true;
        }, {
            type: "string";
            value: string;
            isComplete: true;
        }>;
        dev_dependency: z.ZodOptional<z.ZodObject<{
            type: z.ZodLiteral<"boolean">;
            value: z.ZodBoolean;
            isComplete: z.ZodLiteral<true>;
        }, "strip", z.ZodTypeAny, {
            type: "boolean";
            value: boolean;
            isComplete: true;
        }, {
            type: "boolean";
            value: boolean;
            isComplete: true;
        }>>;
    }, "strip", z.ZodTypeAny, {
        name: {
            type: "string";
            value: string;
            isComplete: true;
        };
        version: {
            type: "string";
            value: string;
            isComplete: true;
        };
        rule: {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        };
        dev_dependency?: {
            type: "boolean";
            value: boolean;
            isComplete: true;
        } | undefined;
    }, {
        name: {
            type: "string";
            value: string;
            isComplete: true;
        };
        version: {
            type: "string";
            value: string;
            isComplete: true;
        };
        rule: {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        };
        dev_dependency?: {
            type: "boolean";
            value: boolean;
            isComplete: true;
        } | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "record";
    children: {
        name: {
            type: "string";
            value: string;
            isComplete: true;
        };
        version: {
            type: "string";
            value: string;
            isComplete: true;
        };
        rule: {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        };
        dev_dependency?: {
            type: "boolean";
            value: boolean;
            isComplete: true;
        } | undefined;
    };
    isComplete: boolean;
}, {
    type: "record";
    children: {
        name: {
            type: "string";
            value: string;
            isComplete: true;
        };
        version: {
            type: "string";
            value: string;
            isComplete: true;
        };
        rule: {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        };
        dev_dependency?: {
            type: "boolean";
            value: boolean;
            isComplete: true;
        } | undefined;
    };
    isComplete: boolean;
}>, PackageDependency<Record<string, any>>, {
    type: "record";
    children: {
        name: {
            type: "string";
            value: string;
            isComplete: true;
        };
        version: {
            type: "string";
            value: string;
            isComplete: true;
        };
        rule: {
            type: "string";
            value: "bazel_dep";
            isComplete: true;
        };
        dev_dependency?: {
            type: "boolean";
            value: boolean;
            isComplete: true;
        } | undefined;
    };
    isComplete: boolean;
}>;
